#
# spec file for package mailsync
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mailsync
Version:        5.2.1
Release:        bp153.1.15
Summary:        The Mail Sync Tool
License:        GPL-2.0+
Group:          Productivity/Networking/Email/Utilities
Url:            http://sourceforge.net/projects/mailsync/
Source:         https://sourceforge.net/projects/mailsync/files/mailsync/%{version}/mailsync_%{version}.orig.tar.gz
Patch0:         mailsync-correct-format-errors.patch
BuildRequires:  gcc-c++
BuildRequires:  imap-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel

%description
Mailsync is a way of keeping a collection of mailboxes synchronized. The
mailboxes may be on the local file system or on an IMAP server.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
install -Dpm 0755 src/%{name} \
  %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 doc/%{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS COPYING NEWS README THANKS TODO doc/examples/ doc/ABSTRACT
%{_bindir}/mailsync
%{_mandir}/man1/mailsync.1%{ext_man}

%changelog
* Mon Jul  3 2017 mpluskal@suse.com
- Cleanup with spec-cleaner:
  * Use common packaging macros
  * Enable parallel build
- Update source url
* Mon Dec  9 2013 seife+obs@b1-systems.com
- add SUSE_ASNEEDED=0 to fix c-client linking failure in configure
* Mon Jul  3 2006 seife@suse.de
- fix wrong output format strings (bug #155807)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  2 2004 mmj@suse.de
- Remove unneeded Requires: [#44207]
* Sat Aug  7 2004 rommel@suse.de
- update to version 5.2.1
* Wed Jun  2 2004 rommel@suse.de
- update to version 5.1.2 (bug fix version)
- added patch for gcc problem with imap-devel
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Apr 30 2003 rommel@suse.de
- update to 5.1.1
- fixed some code glitches (see mailsync-5.1.1-fixes.patch)
- fix for lib64
* Mon Apr 14 2003 rommel@suse.de
- update to 5.1.0
- mailsync has switched to autoconf/automake
- linkage.c has been dropped from the patch (now part of imap-devel)
* Tue Feb 25 2003 aj@suse.de
- Include cassert for assert.
* Mon Nov 18 2002 rommel@suse.de
- update to version 4.4.4
- fixed ssl support by providing my own linkage.c
- fixed linkage with c-client so this builds on 64bit platforms
* Thu Sep  5 2002 rommel@suse.de
- initial package creation of mailsync 4.3
